package com.leromro.core.service;

import com.leromro.core.domain.VolunteerInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.core.domain.dto.HomePageDTO;
import com.leromro.core.domain.dto.VolunteerInfoDTO;
import com.leromro.core.domain.vo.VolunteerInfoDetailVO;
import com.leromro.core.domain.vo.VolunteerInfoVO;

import java.util.List;

/**
 * <p>
 * 志愿者信息表 服务类
 * </p>
 *
 * @author lr
 * @since 2025-04-07
 */
public interface IVolunteerInfoService extends IService<VolunteerInfo> {

    void newVolunteerInfoByuserId(VolunteerInfoDTO dto,Long serviceCategory);

    VolunteerInfo selectByUserID(Long serviceCategory, Long userId);

    List<VolunteerInfo> webList(VolunteerInfoDTO dto);

    VolunteerInfoDetailVO selectLVolunteerInfoByVolunteerId(VolunteerInfo volunteerInfo);

    List<VolunteerInfoVO> selectVolunteerInfoList(VolunteerInfo volunteerInfo);


    List<VolunteerInfo> getCurrentOrgVolunteerList(HomePageDTO dto);
}
